AurionAI Docs

Login Email Select Tenant

Select tenant after multi-tenant email login. Re-verifies password.

POST
/api/v1/auth/login/email/select-tenant

Select tenant after multi-tenant email login. Re-verifies password.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/auth/login/email/select-tenant" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "password": "string",    "tenant_id": "string"  }'
{
  "access_token": "string",
  "expires_in": 0,
  "requires_tenant_selection": false,
  "tenants": [
    {
      "tenant_id": "string",
      "tenant_name": "string"
    }
  ],
  "token_type": "Bearer",
  "user": {
    "email": "string",
    "email_verified": true,
    "full_name": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "is_azure_bound": true,
    "role": "super_admin",
    "tenant_activated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}